Skip links

CVE-2020-6296 Code Injection Vulnerability in SAP NetWeaver (ABAP) and ABAP Platform, SAP security note 2941667

Description

UPDATE 22nd September 2020: This note has been re-released with the updated automatic correction instruction for NW Release 750 to additionally cover SP00 to SP05.

UPDATE 8th September 2020: This note has been re-released with the updated ‘Correction instruction’ information. The correction instructions for releases NW 700 and 701 has been adjusted with an additional dependency to SAP Note 1497003.

SAP NetWeaver (ABAP Server) and ABAP Platform allows a low privileged attacker to inject code by executing an ABAP report over the network. An attacker could so get access to data, overwrite arbitrary SAP programs including essential logon program and could thereby lead to a Denial of Service.

Available fix and Supported packages

  • SAP_BASIS | 700 | 702
  • SAP_BASIS | 710 | 711
  • SAP_BASIS | 730 | 730
  • SAP_BASIS | 731 | 731
  • SAP_BASIS | 740 | 740
  • SAP_BASIS | 750 | 755
  • SAP_BASIS 700 | SAPKB70038 |
  • SAP_BASIS 701 | SAPKB70123 |
  • SAP_BASIS 702 | SAPKB70223 |
  • SAP_BASIS 730 | SAPKB73021 |
  • SAP_BASIS 751 | SAPK-75111INSAPBASIS |
  • SAP_BASIS 752 | SAPK-75207INSAPBASIS |
  • SAP_BASIS 753 | SAPK-75305INSAPBASIS |
  • SAP_BASIS 754 | SAPK-75403INSAPBASIS |
  • SAP_BASIS 731 | SAPKB73128 |
  • SAP_BASIS 740 | SAPKB74025 |
  • SAP_BASIS 755 | SAPK-75501INSAPBASIS |
  • SAP_BASIS 750 | SAPK-75020INSAPBASIS |

Affected component

    BC-ABA-SC
    Dynpro and CUA engine

CVSS

Score: 8.3
CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:H/A:H

Exploit

Exploit is not available.
For detailed information please contact the mail [email protected]

URL

https://launchpad.support.sap.com/#/notes/2941667

TAGS

#Command-Injection
#OS-command-injection
#Report-RSBDCREC
#&160-CVE-2020-6296